# Hello Channel Deletion

## Introduction

This article will guide you through deleting a channel on a TeamSpeak SDK server.

## Let's code

Topics:

* Delete channel
* Example Code

### Delete channel

To delete a channel, we are using `ts3server_channelDelete`.

```C
unsigned int ts3server_channelDelete( uint64 serverID,
    uint64 channelID,
    int force);
```

`serverID`:
The ID of the virtual server on which the channel should be deleted.

`channelID`:
The ID of the channel to be deleted.

`force`:
If 1, first move all clients inside the specified channel to the default channel and then delete the specific channel. If false, deleting a channel with joined clients will fail.
If 0, the server will refuse to a channel that is not empty.

### Example Code

Now we're ready to delet a channel on the TeamSpeak SDK Server.

```C
uint64 server_id;
unsigned int channelID;
unsigned int error;
int force = 1;
if ((error = ts3server_channelDelete(serverID, channelID, force)) != ERROR_ok)
{
    printf("Error Deleting Channel: %d\n", error);
}
```

### Congratulations!

You have deleted your first channel on a TeamSpeak server using the TeamSpeak SDK and have learned about channel deletion.